@import "../../../styles"

.fa
  position: relative
  display: table-cell
  width: 60px
  height: 36px
  text-align: center
  vertical-align: middle
  font-size: 28px

.main-menu:hover, nav.main-menu.expanded
  width: 359px
  overflow: visible
  box-shadow: 4px 4px 4px rgba(0, 46, 113, 0.12)

.main-menu
  position: fixed
  height: 100%
  top: 7rem
  left: 0
  background: white
  border-right: 1px solid #e5e5e5
  width: 60px
  overflow: hidden
  -webkit-transition: width .05s linear
  transition: width .05s ease-in
  -webkit-transform: translateZ(0) scale(1, 1)
  > ul
    margin: 7px 0

  li
    position: relative
    display: block
    width: 359px

    > a
      position: relative
      display: table
      border-collapse: collapse
      border-spacing: 0
      color: $color-primary-azul-gnp
      font-family: $fonts
      font-style: normal
      font-weight: 600
      font-size: 16px
      line-height: 24px
      text-decoration: none
      -webkit-transform: translateZ(0) scale(1, 1)
      -webkit-transition: all .1s linear
      transition: all .1s linear

  .nav-icon
    position: relative
    display: table-cell
    width: 60px
    height: 36px
    text-align: center
    vertical-align: middle
    font-size: 18px

  .nav-text
    position: relative
    display: table-cell
    vertical-align: middle
    width: 359px
    padding: 1.5rem 0
    padding-left: 11px
    font-family: $fonts

.no-touch .scrollable.hover
  overflow-y: hidden

  &:hover
    overflow-y: auto
    overflow: visible

a
  &:hover, &:focus
    text-decoration: none

nav
  -webkit-user-select: none
  -moz-user-select: none
  -ms-user-select: none
  -o-user-select: none
  user-select: none

  ul, li
    outline: 0
    margin: 0
    padding: 0

.main-menu li:hover > a, nav.main-menu li.active > a
  color: #fff
  background-color: $color-primary-naranja-gnp

.dropdown-menu >
  li > a
    &:hover, &:focus
      color: #fff
      background-color: $color-primary-naranja-gnp

  .active > a
    color: #fff
    background-color: $color-primary-naranja-gnp

    &:hover, &:focus
      color: #fff
      background-color: $color-primary-naranja-gnp

.no-touch .dashboard-page nav.dashboard-menu ul li:hover a, .dashboard-page nav.dashboard-menu ul li.active a
  color: #fff
  background-color: $color-primary-naranja-gnp

//Comienza header
.header
  position: fixed
  z-index: 1
  top: 0rem
  left: 0
  height: 93px
  right: 0
  border-bottom: 1px solid #e5e5e5
  background-color: white
  overflow: hidden
  padding-top: 0.5rem
.header-logo
  margin-left: 1.6rem
  margin-top: 3px
  float: left
  width: 20%
  img
    width: 200px
.user-content
  margin-right: 1.7rem
  float: right
  text-align: right
  vertical-align: middle
  font-family: $fonts
.text
  float: left
  padding-right: 10px
  margin-top: 23px
  .bienvenido
    color: $color-primary-azul-gnp
  .nombre
    color: $color-primary-naranja-gnp
    font-size: 14px
    margin-top: 0.25rem
.icon
  float: right
  align-self: center
  margin-top: 5px
  background: $color-primary-azul-gnp
  width: 5rem
  height: 4.7rem
  border-radius: 50%
  text-align: center
  .texto
    font-family: $fonts
    color: white
    align-self: center
    text-align: center
    margin-top: 0.77rem
    padding-left: 2px
    font-size: 2rem
    
.overlay
    position: fixed
    display: block
    width: 100%
    height: 100%
    top: 0
    left: 0
    background-color: rgba(39, 36, 36, 0.8)
    z-index: 99999

.spinner
    position: absolute
    top: 50%
    left: 50%
    transform: translate(-50%,-50%)